Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364151 - "systemctl suspend" only locks the screen with NVIDIA Quadro K600
Summary: "systemctl suspend" only locks the screen with NVIDIA Quadro K600
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-nouveau
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Ben Skeggs
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-04 14:39 UTC by Tomas Hudziec
Modified: 2016-10-04 04:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 11:34:18 UTC


Attachments (Terms of Use)

Description Tomas Hudziec 2016-08-04 14:39:00 UTC
Description of problem:
Command "systemctl suspend" only locks the screen instead of suspending system.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.11-3.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. open terminal
2. run "systemctl suspend" as regular user

Actual results:
After 2 seconds of black screen, locked screen is shown.

Expected results:
System suspends.

Additional info:
Running "pm-suspend" as root has no visible effect.
output from dmesg:
[  286.144100] PM: Syncing filesystems ... done.
[  286.148972] Freezing user space processes ... (elapsed 0.001 seconds) done.
[  286.150256] Freezing remaining freezable tasks ... (elapsed 0.000 seconds) done.
[  286.151085] Suspending console(s) (use no_console_suspend to debug)
[  286.151242] device_prepare(): usb_dev_prepare+0x0/0x40 returns 1
[  286.151243] PM: Device usb1 not prepared for power transition: code 1
[  286.151244] PM: Some devices failed to suspend, or early wake event detected
[  286.151247] PM: resume of devices complete after 0.001 msecs
[  286.151326] Restarting tasks ... done.

NVIDIA Corporation GK107GL [Quadro K600] [10de:0ffa]

Comment 2 Tomas Hudziec 2016-08-23 11:34:18 UTC
With kernel package version kernel-3.10.0-493.el7.x86_64 the issue does not occur.


Note You need to log in before you can comment on or make changes to this bug.